## parole 4.20.0

=== meson_options.txt ===
option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'taglib',
  type: 'feature',
  value: 'auto',
  description: 'Taglib support',
)

option(
  'notify-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build parole notify plugin',
)

option(
  'mpris2-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build parole mpris2 plugin',
)

option(
  'tray-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build parole tray plugin',
)

option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Build gtk-doc HTML',
)

=== debian/changelog ===
parole (4.20.0-1) unstable; urgency=medium

  * d/control: update libtag b-dep to libtag-c-dev (Closes: #1095611)
  * New upstream version 4.20.0
  * d/control: add build-dep on meson for build control
  * d/control: drop b-dep on clutter (closes: #1041626)
  * d/rules: force meson build system usage in dh
  * d/control: raise debhelper compatibility to 13

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 27 Aug 2025 14:36:06 +0200

=== debian/control ===
Source: parole
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               gtk-doc-tools,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libnotify-dev,
               libtag-c-dev,
               libxfce4ui-2-dev,
               libxfconf-0-dev (>= 4.10),
               meson,
               pkgconf,
               xfce4-dev-tools (>= 4.18.1)
Standards-Version: 4.7.0
Homepage: https://goodies.xfce.org/projects/applications/parole
Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git
Vcs-Browser: https://salsa.debian.org/xfce-team/apps/parole

Package: parole
Architecture: any
Depends: gstreamer1.0-alsa | gstreamer1.0-audiosink,
         gstreamer1.0-libav,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly
Description: media player based on GStreamer framework
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains Parole media player.

Package: parole-dev
Architecture: any
Depends: libglib2.0-dev,
         libgtk-3-dev,
         libxfce4util-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: development files for Parole media player
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains development files for Parole's plugin interface.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_makeshlibs:
	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

override_dh_install:
	dh_install -X .la

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

override_dh_missing:
	dh_missing --fail-missing -X .la

=== debian/watch ===
version=4
https://archive.xfce.org/src/apps/@PACKAGE@/(\d[\d\.]+)/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
